* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

.blog-hero {
  background: url(../img/blog-bg.jpg) no-repeat center/cover;
  width: 100%;
  height: 40vh;
  text-align: center;
  text-transform: capitalize;
  color: #fff;
  position: relative;
  z-index: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

.blog-hero::after {
  content: "";
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;

  background-color: #352f2fad;
  z-index: -1;
}
.blog-content h2 {
  font-size: 2.8rem;
  font-weight: 700;
}

.blog-links {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 1rem;
}
.blog-links > a {
  color: #fff;
}
.blog-links > a:hover {
  color: #000;
}

.blog-section {
  width: 100%;
  background-color: #f9f9f9;
}

.blog-container {
  width: 95%;
  margin: 0 auto;
  padding: 5rem 0;

  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  flex-wrap: wrap;
}

.blog-container .blog-box {
  border-radius: 0.5rem;
  overflow: hidden;
  box-shadow: 0 0 25px 2px #0000002b;
  flex-basis: 29%;
  height: 39rem;
}
.blog-img {
  position: relative;
  height: 17rem;
}
.inner-blog p {
  line-height: 1.4;
}
.blog-img img {
  height: inherit;
}
.publish-date {
  padding: 0 0.5rem;
  height: 5rem;
  width: 4rem;
  top: 1rem;
  left: 1rem;
  background-color: #d21e2b;
  color: #fff;
  font-weight: 500;
  text-align: center;
  text-transform: capitalize;
  position: absolute;
  letter-spacing: 1px;
}

.publish-date span:first-child {
  font-size: 1.9rem;
  display: block;
  border-bottom: 1px solid #ffffffad;
  height: 3rem;
  width: 3rem;
}

.inner-blog {
  padding: 1.3rem;
}

.inner-blog h4 {
  font-size: 18px;
  line-height: 1.4rem;
}
.inner-blog .calender {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 1rem;
}

.inner-blog > span {
  color: #d21e2b;
  font-size: 0.9rem;
  letter-spacing: 3px;
  text-transform: uppercase;
  font-weight: 500;
}

.inner-blog > h4 {
  font-weight: 500;
}

.calender span i {
  margin-right: 0.4rem;
  color: #d21e2b;
}
.category > span {
  text-transform: capitalize;
}
.inner-blog input {
  margin-top: 0.8rem;
  border: 0 none;
  background-color: #d21e2b;
  width: 6rem;
  height: 2rem;
  border-radius: 1rem;
  color: #fff;
  text-transform: capitalize;
  transition: all 0.3s ease;
}

.calender .category,
.date > span {
  font-size: 0.85rem;
}

.inner-blog input:hover {
  background-color: black;
}
